| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.Dishes

Portability | portable
Stability | unstable
Maintainer | Jeremy Apthorp <nornagon@gmail.com>

Contents

Usage

Description
Dishes is a layout that stacks extra windows underneath the master windows.
Synopsis

data Dishes a = Dishes Int Rational

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Dishes

Then edit your `layoutHook` by adding the Dishes layout:

     myLayouts = Dishes 2 (1/6) ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Dishes a | Source

Constructors

Dishes Int Rational |

Instances

LayoutClass Dishes a
Read (Dishes a)
Show (Dishes a)

Produced by Haddock version 2.4.2